/*
 * Version: 1.0
 *
 * The contents of this file are subject to the OpenVPMS License Version
 * 1.0 (the 'License'); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.openvpms.org/license/
 *
 * Software distributed under the License is distributed on an 'AS IS' basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * Copyright 2020 (C) OpenVPMS Ltd. All Rights Reserved.
 */

package org.openvpms.etl.load;


/**
 * Lookup code and name pair.
 *
 * @author <a href="mailto:support@openvpms.org">OpenVPMS Team</a>
 * @version $LastChangedDate: 2006-05-02 05:16:31Z $
 */
public class CodeName extends Pair {

    /**
     * Constructs a new <tt>CodeName</tt>.
     *
     * @param code the code
     * @param name the name
     */
    public CodeName(String code, String name) {
        super(code, name);
    }

    /**
     * Returns the lookup code.
     *
     * @return the lookup code
     */
    public String getCode() {
        return getValue1();
    }

    /**
     * Returns the lookup name.
     *
     * @return the lookup name
     */
    public String getName() {
        return getValue2();
    }
}
