/*
 * Version: 1.0
 *
 * The contents of this file are subject to the OpenVPMS License Version
 * 1.0 (the 'License'); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.openvpms.org/license/
 *
 * Software distributed under the License is distributed on an 'AS IS' basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * Copyright 2019 (C) OpenVPMS Ltd. All Rights Reserved.
 */
package org.openvpms.web.component.bound;

import org.junit.Test;
import org.openvpms.web.component.property.Property;
import org.openvpms.web.echo.text.TextArea;


/**
 * Tests the {@link BoundTextArea} class.
 *
 * @author Tim Anderson
 */
public class BoundTextAreaTestCase extends AbstractBoundTextComponentTest {

    /**
     * Tests expansion of single macros when the text is updated by the field.
     */
    @Test
    public void testSingleMacroExpansion() {
        checkSingleMacroExpansion();
    }

    /**
     * Creates a new bound field.
     *
     * @param property the property to bind to
     * @return a new bound field
     */
    protected TextArea createField(Property property) {
        return new BoundTextArea(property, 10, 10);
    }

}